Skip to main content
`Ctrl`+`K`

# PetscDeviceContextSetStreamType

Set the implementation type of the underlying stream for a `PetscDeviceContext`

## Synopsis

    #include <petscdevice.h>
    PetscErrorCode PetscDeviceContextSetStreamType(PetscDeviceContext dctx, PetscStreamType type)

Not Collective

## Input Parameters

- dctx - The `PetscDeviceContext`

- type - The `PetscStreamType`

## Note

See `PetscStreamType` in `include/petscdevicetypes.h` for more information on the available types and their interactions. If the `PetscDeviceContext` was previously set up and stream type was changed, you must call `PetscDeviceContextSetUp()` again after this routine.

## See Also

`PetscStreamType`, `PetscDeviceContextGetStreamType()`, `PetscDeviceContextCreate()`, `PetscDeviceContextSetUp()`, `PetscDeviceContextSetFromOptions()`

## Level

beginner

## Location

src/sys/objects/device/interface/dcontext.cxx

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages